curl --request POST \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions/send_responses \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"ids": [
"2c7f4a1e-6a0b-4d7e-9c55-1b3c9f0d8e21"
],
"email_question_id": "<string>",
"subject": "Thanks for your response",
"body": "<p>Hi, we got your response.</p>",
"cc_emails": [
"oliver@example.com"
],
"bcc_emails": [
"jsmith@example.com"
]
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ids: ['2c7f4a1e-6a0b-4d7e-9c55-1b3c9f0d8e21'],
email_question_id: '<string>',
subject: 'Thanks for your response',
body: JSON.stringify('<p>Hi, we got your response.</p>'),
cc_emails: ['oliver@example.com'],
bcc_emails: ['jsmith@example.com']
})
};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions/send_responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions/send_responses"
payload = {
"ids": ["2c7f4a1e-6a0b-4d7e-9c55-1b3c9f0d8e21"],
"email_question_id": "<string>",
"subject": "Thanks for your response",
"body": "<p>Hi, we got your response.</p>",
"cc_emails": ["oliver@example.com"],
"bcc_emails": ["jsmith@example.com"]
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"queued": true,
"submission_ids": [
"<string>"
]
}{
"error": "Form does not exist."
}{
"error": "None of the given submission_ids belong to this form."
}Send responses by email
Email a message to the people who made the chosen submissions. Each message goes to the address given in the chosen email question. The emails are sent in the background.
curl --request POST \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions/send_responses \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"ids": [
"2c7f4a1e-6a0b-4d7e-9c55-1b3c9f0d8e21"
],
"email_question_id": "<string>",
"subject": "Thanks for your response",
"body": "<p>Hi, we got your response.</p>",
"cc_emails": [
"oliver@example.com"
],
"bcc_emails": [
"jsmith@example.com"
]
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ids: ['2c7f4a1e-6a0b-4d7e-9c55-1b3c9f0d8e21'],
email_question_id: '<string>',
subject: 'Thanks for your response',
body: JSON.stringify('<p>Hi, we got your response.</p>'),
cc_emails: ['oliver@example.com'],
bcc_emails: ['jsmith@example.com']
})
};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions/send_responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions/send_responses"
payload = {
"ids": ["2c7f4a1e-6a0b-4d7e-9c55-1b3c9f0d8e21"],
"email_question_id": "<string>",
"subject": "Thanks for your response",
"body": "<p>Hi, we got your response.</p>",
"cc_emails": ["oliver@example.com"],
"bcc_emails": ["jsmith@example.com"]
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"queued": true,
"submission_ids": [
"<string>"
]
}{
"error": "Form does not exist."
}{
"error": "None of the given submission_ids belong to this form."
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique ID of the form for which you want to retrieve submissions. Refer to Getting the Form ID section for detailed instructions.
Body
IDs of the submissions to email. At most 100. IDs that do not belong to the form are skipped.
100["2c7f4a1e-6a0b-4d7e-9c55-1b3c9f0d8e21"]
ID of an email question on the form. Each message goes to the address the person gave in this question.
Subject of the email. You can use the form's answer variables.
"Thanks for your response"
Body of the email, in HTML. You can use the form's answer variables.
"<p>Hi, we got your response.</p>"
["oliver@example.com"]